schema_install() {
  SCHEMA="$1"
  GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
  chroot . gconftool-2 --makefile-install-rule \
    /etc/gconf/schemas/$SCHEMA \
    1>/dev/null
}



schema_install gnac.schemas  &> /dev/null



if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database /usr/share/applications \
  1>/dev/null
fi

if [ -x usr/bin/gtk-update-icon-cache ]; then
  chroot . /usr/bin/gtk-update-icon-cache -q -f -t /usr/share/icons/hicolor \
  1>/dev/null
fi

if [ -x /usr/bin/update-mime-database ]; then
  chroot . /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi



if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database 1> /dev/null &> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor &> /dev/null
fi

( cd usr/share/gnome/help/gnac/de/figures ; rm -rf gnac-main-window.png )
( cd usr/share/gnome/help/gnac/de/figures ; ln -sf ../../C/figures/gnac-main-window.png gnac-main-window.png )
( cd usr/share/gnome/help/gnac/de/figures ; rm -rf gnac-logo.png )
( cd usr/share/gnome/help/gnac/de/figures ; ln -sf ../../C/figures/gnac-logo.png gnac-logo.png )
